import { z } from "zod";

export const People = z.object({
	id: z.string(),
	name: z.string(),
	biography: z.string().optional(),
	birthday: z.string().optional(),
	deathday: z.string().optional(),
	placeOfBirth: z.string().optional(),
	profilePath: z.string().optional(),
	popularity: z.number().optional(),
	knownForDepartment: z.string().optional(),
});

export type People = z.infer<typeof People>;
